## geneweb 5.01

=== Makefile ===
# $Id: Makefile,v 5.5 2007/09/12 09:58:44 ddr Exp $

PREFIX=/usr
LANGDIR=$(PREFIX)/share/geneweb
DOCDIR=$(PREFIX)/share/geneweb/doc
MANDIR=$(PREFIX)/man/man1
DESTDIR=distribution
MANPAGES=ged2gwb.1 gwb2ged.1 gwc.1 gwc2.1 gwu.1 gwd.1 consang.1 gwsetup.1

include tools/Makefile.inc

all:: opt

out::
	cd wserver; $(MAKE) all
	cd dag2html; $(MAKE) out
	cd src; $(MAKE) PREFIX=$(PREFIX) all
	cd ged2gwb; $(MAKE) all
	cd gwb2ged; $(MAKE) all
	cd doc; $(MAKE) all
	cd setup; $(MAKE) all
	cd gwtp; $(MAKE) all

opt::
	cd wserver; $(MAKE) opt
	cd dag2html; $(MAKE) opt
	cd src; $(MAKE) PREFIX=$(PREFIX) opt
	cd ged2gwb; $(MAKE) opt
	cd gwb2ged; $(MAKE) opt
	cd doc; $(MAKE) opt
	cd setup; $(MAKE) opt
	cd gwtp; $(MAKE) opt

install:
	mkdir -p $(PREFIX)/bin
	cp src/gwc $(PREFIX)/bin/gwc$(EXE)
	cp src/gwc2 $(PREFIX)/bin/gwc2$(EXE)
	cp src/consang $(PREFIX)/bin/consang$(EXE)
	cp src/gwd $(PREFIX)/bin/gwd$(EXE)
	cp src/gwu $(PREFIX)/bin/gwu$(EXE)
	cp ged2gwb/ged2gwb $(PREFIX)/bin/ged2gwb$(EXE)
	cp gwb2ged/gwb2ged $(PREFIX)/bin/gwb2ged$(EXE)
	mkdir -p $(DOCDIR)
	cp doc/*.htm $(DOCDIR)/.
	for i in de en fr it nl sv; do \
	  mkdir -p $(DOCDIR)/$$i; \
	  cp doc/$$i/*.htm $(DOCDIR)/$$i/.; \
	done
	mkdir -p $(DOCDIR)/images
	cp doc/images/*.jpg doc/images/gwlogo.png $(DOCDIR)/images/.
	mkdir -p $(LANGDIR)/lang
	cp hd/lang/*.txt $(LANGDIR)/lang/.
	mkdir -p $(LANGDIR)/images
	cp hd/images/*.jpg hd/images/*.png $(LANGDIR)/images/.
	mkdir -p $(LANGDIR)/etc
	cp hd/etc/*.txt $(LANGDIR)/etc/.
	mkdir -p $(MANDIR)
	cd man; cp $(MANPAGES) $(MANDIR)/.

uninstall:
	rm -f $(PREFIX)/bin/gwc$(EXE)
	rm -f $(PREFIX)/bin/gwc2$(EXE)
	rm -f $(PREFIX)/bin/consang$(EXE)
	rm -f $(PREFIX)/bin/gwd$(EXE)
	rm -f $(PREFIX)/bin/gwu$(EXE)
	rm -f $(PREFIX)/bin/ged2gwb$(EXE)
	rm -f $(PREFIX)/bin/gwb2ged$(EXE)
	rm -rf $(PREFIX)/share/geneweb
	cd $(MANDIR); rm -f $(MANPAGES)

distrib: new_distrib wrappers

wrappers:
	if test "$(CAMLP5F)" = "-DWIN95"; then \
	  echo 'cd gw' > $(DESTDIR)/gwd.bat; \
	  echo 'gwd' >> $(DESTDIR)/gwd.bat; \
	  echo 'cd gw' > $(DESTDIR)/gwsetup.bat; \
	  echo 'gwsetup' >> $(DESTDIR)/gwsetup.bat; \
	else \
	  (echo '#!/bin/sh'; \
	   echo 'mkdir -p bases'; \
	   echo 'cd bases'; \
	   echo 'exec ../gw/gwd -hd ../gw "$$@"') > $(DESTDIR)/gwd; \
	  (echo '#!/bin/sh'; \
	   echo 'mkdir -p bases'; \
	   echo 'cd bases'; \
	   echo 'exec ../gw/gwsetup -gd ../gw "$$@"') > $(DESTDIR)/gwsetup; \
	  chmod +x $(DESTDIR)/gwd $(DESTDIR)/gwsetup; \
	fi

new_distrib: classical_distrib
	mkdir t
	mv $(DESTDIR) t/gw
	mv t $(DESTDIR)
	mkdir $(DESTDIR)/gw/old
	mkdir $(DESTDIR)/gw/setup
	cp setup/intro.txt $(DESTDIR)/gw/setup/.
	mkdir $(DESTDIR)/gw/setup/lang
	if test "$(CAMLP5F)" = "-DWIN95"; then \
	  cp setup/lang/intro.txt.dos $(DESTDIR)/gw/setup/lang/intro.txt; \
	else \
	  cp setup/lang/intro.txt $(DESTDIR)/gw/setup/lang/intro.txt; \
	fi
	cp setup/lang/*.htm $(DESTDIR)/gw/setup/lang/.
	cp setup/lang/lexicon.txt $(DESTDIR)/gw/setup/lang/.
	cp setup/gwsetup $(DESTDIR)/gw/gwsetup$(EXE)
	for i in README LISEZMOI; do \
	  cat etc/$$i.distrib.txt >> $(DESTDIR)/$$i.txt; \
	done
	cp LICENSE $(DESTDIR)/LICENSE.txt
	cp etc/START.htm $(DESTDIR)/.
	echo "127.0.0.1" > $(DESTDIR)/gw/only.txt
	echo "-setup_link" > $(DESTDIR)/gw/gwd.arg

classical_distrib:
	$(RM) -rf $(DESTDIR)
	mkdir $(DESTDIR)
	cp CHANGES $(DESTDIR)/CHANGES.txt
	cp LICENSE $(DESTDIR)/LICENSE.txt
	cp src/gwc $(DESTDIR)/gwc$(EXE)
	cp src/gwc2 $(DESTDIR)/gwc2$(EXE)
	cp src/consang $(DESTDIR)/consang$(EXE)
	cp src/gwd $(DESTDIR)/gwd$(EXE)
	cp src/gwu $(DESTDIR)/gwu$(EXE)
	cp src/update_nldb $(DESTDIR)/update_nldb$(EXE)
	cp ged2gwb/ged2gwb $(DESTDIR)/ged2gwb$(EXE)
	cp gwb2ged/gwb2ged $(DESTDIR)/gwb2ged$(EXE)
	mkdir $(DESTDIR)/gwtp_tmp
	mkdir $(DESTDIR)/gwtp_tmp/lang
	cp gwtp/gwtp $(DESTDIR)/gwtp_tmp/gwtp$(EXE)
	cp gwtp/README $(DESTDIR)/gwtp_tmp/.
	cp gwtp/lang/*.txt $(DESTDIR)/gwtp_tmp/lang/.
	cp etc/LISEZMOI.txt $(DESTDIR)/.
	cp etc/README.txt $(DESTDIR)/.
	cp etc/INSTALL.htm $(DESTDIR)/.
	cp etc/a.gwf $(DESTDIR)/.
	mkdir $(DESTDIR)/doc
	mkdir $(DESTDIR)/doc/wdoc
	cp doc/*.htm $(DESTDIR)/doc/.
	cp doc/wdoc/*.txt $(DESTDIR)/doc/wdoc/.
	for i in de en fr it nl sv; do \
	  mkdir $(DESTDIR)/doc/$$i; \
	  mkdir $(DESTDIR)/doc/wdoc/$$i; \
	  cp doc/$$i/*.htm $(DESTDIR)/doc/$$i/.; \
	  if test -d "doc/wdoc/$$i"; then cp doc/wdoc/$$i/*.txt $(DESTDIR)/doc/wdoc/$$i/.; fi; \
	done
	mkdir $(DESTDIR)/doc/images
	cp doc/images/*.jpg doc/images/gwlogo.png $(DESTDIR)/doc/images/.
	mkdir $(DESTDIR)/lang
	cp hd/lang/*.txt $(DESTDIR)/lang/.
	mkdir $(DESTDIR)/images
	cp hd/images/*.jpg hd/images/*.png $(DESTDIR)/images/.
	mkdir $(DESTDIR)/etc
	cp hd/etc/*.txt $(DESTDIR)/etc/.

windows_files:
	@for i in distribution/*.txt distribution/gw/*.txt; do \
	  echo "========================================="; \
	  echo $$i; \
	  cp $$i $$i~; \
	  sed -e 's/$$/\r/' $$i~ > $$i; \
	  rm $$i~; \
	done

clean::
	cd wserver; $(MAKE) clean
	cd dag2html; $(MAKE) clean
	cd src; $(MAKE) clean
	cd ged2gwb; $(MAKE) clean
	cd gwb2ged; $(MAKE) clean
	cd doc; $(MAKE) clean
	cd setup; $(MAKE) clean
	cd gwtp; $(MAKE) clean
	$(RM) -rf $(DESTDIR)
	$(RM) -f *~ .#*

clean_mismatch:
	rm src/pa_lock.cmo src/pa_html.cmo src/def.syn.cmo

depend:
	cd src; $(MAKE) pr_dep.cmo def.syn.cmo gwlib.ml
	cd src; $(MAKE) pa_lock.cmo pa_html.cmo q_codes.cmo
	cd wserver; $(MAKE) depend
	cd src; $(MAKE) depend
	cd ged2gwb; $(MAKE) depend
	cd gwb2ged; $(MAKE) depend
	cd setup; $(MAKE) depend
	cd gwtp; $(MAKE) depend

=== dag2html/Makefile ===
# $Id: Makefile,v 5.1 2007/07/11 16:15:21 ddr Exp $

BINDIR=/usr/local/bin
MANDIR=/usr/local/share/man/man1
OCAMLC=ocamlc
OCAMLOPT=ocamlopt
OCARGS=
OBJS=dag2html.cmo main.cmo

all: dag2html

out: dag2html.cmo
opt: dag2html.cmx

install:
	cp dag2html $(BINDIR)/.
	cp dag2html.1 $(MANDIR)/.

dag2html: $(OBJS)
	$(OCAMLC) $(OBJS) -o dag2html

clean:
	rm -f dag2html *.cm[oix] *.o

.SUFFIXES: .ml .mli .cmo .cmx .cmi

.ml.cmo:
	camlp5r $< -o $*.ppo
	$(OCAMLC) $(OCARGS) -c -impl $*.ppo
	rm -f $*.ppo

.ml.cmx:
	camlp5r $< -o $*.ppo
	$(OCAMLOPT) $(OCARGS) -c -impl $*.ppo
	rm -f $*.ppo

.mli.cmi:
	camlp5r $< -o $*.ppi
	$(OCAMLC) $(OCARGS) -c -intf $*.ppi
	rm -f $*.ppi

main.cmo: dag2html.cmo
dag2html.cmo: dag2html.cmi
dag2html.cmx: dag2html.cmi

=== doc/Makefile ===
RM=/bin/rm -f

all out opt: LICENSE.htm

clean:
	$(RM) -f LICENSE.htm

LICENSE.htm: ../LICENSE
	(echo "<!DOCTYPE HTML PUBLIC \"-//W3C//DTD HTML 4.0 Transitional//EN\""; \
	 echo "            \"http://www.w3.org/TR/REC-html40/loose.dtd\">"; \
	 echo "<head><title>License</title></head><body><pre>"; \
	 cat ../LICENSE; echo "</pre></body>") > LICENSE.htm

=== ged2gwb/Makefile ===
# $Id: Makefile,v 5.20 2007/09/12 09:58:44 ddr Exp $

include ../tools/Makefile.inc

OCAMLI=-I ../src
OBJS=../src/argl.cmo ../src/adef.cmo ../src/iovalue.cmo ../src/buff.cmo ../src/name.cmo ../src/ansel.cmo ../src/mutil.cmo ../src/futil.cmo ../src/dutil.cmo ../src/secure.cmo ../src/btree.cmo ../src/database.cmo ../src/db2.cmo ../src/db2disk.cmo ../src/diff.cmo ../src/outbase.cmo ../src/gwdb.cmo ../src/checkItem.cmo ../src/calendar.cmo ../src/lock.cmo ../src/progrBar.cmo ../src/consang.cmo ../src/consangAll.cmo ../src/check.cmo ged2gwb.cmo

all:: out

out:: ged2gwb.out
	$(RM) ged2gwb
	cp ged2gwb.out ged2gwb

opt:: ged2gwb.opt
	$(RM) ged2gwb
	cp ged2gwb.opt ged2gwb
	$(STRIP) ged2gwb

clean::
	$(RM) ged2gwb

ged2gwb.out: $(OBJS)
	$(OCAMLC) -custom $(STATIC) $(OCAMLD) unix.cma $(LIBUNIX) -I $(CAMLP5D) gramlib.cma $(OBJS) -o ged2gwb.out

ged2gwb.opt: $(OBJS:.cmo=.cmx)
	$(OCAMLOPT) $(STATIC) unix.cmxa $(LIBUNIX) -I $(CAMLP5D) gramlib.cmxa $(OBJS:.cmo=.cmx) -o ged2gwb.opt

depend:
	TOP=.. ../tools/camlp5_depend.sh $(OCAMLI) *.ml* > .depend

include .depend

=== gwtp/Makefile ===
# $Id: Makefile,v 5.18 2007/09/12 09:58:44 ddr Exp $

include ../tools/Makefile.inc

OCAMLI=-I ../src
GWTP_OTHER=../src/lock.cmo ../src/buff.cmo ../src/name.cmo ../src/iovalue.cmo ../src/adef.cmo ../src/mutil.cmo ../src/futil.cmo ../src/dutil.cmo ../src/secure.cmo ../src/btree.cmo ../src/database.cmo ../src/db2.cmo ../src/db2disk.cmo ../src/diff.cmo ../src/outbase.cmo ../src/gwdb.cmo ../src/checkItem.cmo ../src/gutil.cmo ../src/translate.cmo
GWTP_OBJS=httpEnv.cmo iolight.cmo gwtp.cmo
OBJS=$(GWTP_OTHER) $(GWTP_OBJS)
RECOVER_OBJS=$(GWTP_OTHER) iolight.cmo recover.cmo

all:: out

out:: gwtp.out
	$(RM) gwtp
	cp gwtp.out gwtp

opt:: gwtp.opt
	$(RM) gwtp
	cp gwtp.opt gwtp
	$(STRIP) gwtp

recover: recover.out

clean::
	$(RM) gwtp

gwtp.out: $(GWTP_OBJS)
	$(OCAMLC) -custom $(STATIC) unix.cma $(OBJS) $(LIBUNIX) -o gwtp.out

gwtp.opt: $(GWTP_OBJS:.cmo=.cmx)
	$(OCAMLOPT) $(STATIC) unix.cmxa $(OBJS:.cmo=.cmx) $(LIBUNIX) -o gwtp.opt

recover.out: $(RECOVER_OBJS)
	$(OCAMLC) unix.cma $(RECOVER_OBJS) $(LIBUNIX) -o $@

depend:
	TOP=.. ../tools/camlp5_depend.sh $(OCAMLI) *.ml > .depend.new
	mv .depend.new .depend

include .depend

=== launch/Makefile ===
# $Id: Makefile,v 1.6 2007/09/12 09:58:44 ddr Exp $
# Copyright (c) 2006-2007 INRIA

EXE=.out
GWB=..
OBJS=../src/iovalue.cmo ../src/buff.cmo ../src/name.cmo ../src/mutil.cmo launch.cmo
OCAMLI=-I ../src
TARGET=launch$(EXE)
TEST_DIR=test $$(basename "$<") = "$<" || { echo "Please run 'make' in directory '$$(dirname "$<")' first"; exit 1; }

all: $(TARGET)

$(TARGET): $(OBJS)
	ocamlc -I +labltk labltk.cma unix.cma $(OBJS) -o $(TARGET)

clean:
	rm -f *.cm[io] *.out *.log

depend:
	export LC_ALL=C; TOP=$(GWB) $(GWB)/tools/camlp5_depend.sh $(OCAMLI) $$(ls *.mli *.ml) | sed -e 's|\.\.|$$(GWB)|g' > .depend.new
	mv .depend.new .depend

%.cmo: %.ml
	@$(TEST_DIR)
	ocamlc -pp camlp5r $(OCAMLI) -I +labltk -c $<

include .depend

=== rpm/Makefile ===
# $Id: Makefile,v 5.2 2007/09/12 09:42:26 ddr Exp $

VERSION=5.01
RELEASE=1
DESTDIR=/usr/src/RPM

all:
	@echo "make install (as root)"

install:
	sed -e "s/VERSION/$(VERSION)/" -e "s/RELEASE/$(RELEASE)/" geneweb.spec > $(DESTDIR)/SPECS/geneweb-$(VERSION)-$(RELEASE).spec

=== setup/Makefile ===
# $Id: Makefile,v 5.1 2007/09/12 09:58:44 ddr Exp $

include ../tools/Makefile.inc

OCAMLI=-I ../wserver -I ../src
OBJS=../wserver/wserver.cmo ../src/version.cmo ../src/argl.cmo ../src/buff.cmo ../src/translate.cmo setup.cmo

all:: out

out:: setup.out
	$(RM) gwsetup
	cp setup.out gwsetup

opt:: setup.opt
	$(RM) gwsetup
	cp setup.opt gwsetup
	$(STRIP) gwsetup

clean::
	$(RM) gwsetup *.bat
	$(RM) -rf test

test: test_dir wrappers

wrappers:
	if test "$(CAMLP5F)" = "-DWIN95"; then \
	  echo 'cd gw' > test/gwd.bat; \
	  echo 'gwd' >> test/gwd.bat; \
	  echo 'cd gw' > test/gwsetup.bat; \
	  echo 'gwsetup' >> test/gwsetup.bat; \
	else \
	  (echo '#!/bin/sh'; \
	   echo 'mkdir -p bases'; \
	   echo 'cd bases'; \
	   echo 'exec ../gw/gwd -hd ../gw "$$@"') > test/gwd; \
	  (echo '#!/bin/sh'; \
	   echo 'mkdir -p bases'; \
	   echo 'cd bases'; \
	   echo 'exec ../gw/gwsetup -gd ../gw "$$@"') > test/gwsetup; \
	  chmod +x test/gwd test/gwsetup; \
	fi
	cd test; ln -s ../../etc/START.htm .

test_dir:
	mkdir test
	mkdir test/gw
	cd test/gw; ln -s ../../gwsetup gwsetup
	cd test/gw; ln -s ../.. setup
	cd test/gw; ln -s ../../../doc .
	cd test/gw; ln -s ../../../src/gwc .
	cd test/gw; cp ../../../src/gwd .
	cd test/gw; ln -s ../../../src/gwu .
	cd test/gw; ln -s ../../../src/consang .
	cd test/gw; ln -s ../../../hd/lang .
	cd test/gw; ln -s ../../../hd/images .
	cd test/gw; ln -s ../../../hd/etc .
	cd test/gw; ln -s ../../../ged2gwb/ged2gwb .
	cd test/gw; ln -s ../../../gwb2ged/gwb2ged .
	cd test/gw; ln -s ../../../etc/INSTALL.htm .
	cd test/gw; echo "127.0.0.1" > only.txt
	cd test/gw; echo "-setup_link" > gwd.arg

setup.out: $(OBJS)
	$(OCAMLC) -custom $(STATIC) unix.cma $(LIBUNIX) $(OBJS) -o setup.out

setup.opt: $(OBJS:.cmo=.cmx)
	$(OCAMLOPT) $(STATIC) unix.cmxa $(LIBUNIX) $(OBJS:.cmo=.cmx) -o setup.opt

depend:
	TOP=.. ../tools/camlp5_depend.sh $(OCAMLI) *.ml* > .depend

always:

include .depend

=== src/Makefile ===
# $Id: Makefile,v 5.46 2007/09/12 09:58:44 ddr Exp $

include ../tools/Makefile.inc

PREFIX=/usr
OCAMLI=-I ../wserver -I ../dag2html
GWC_OBJS=argl.cmo lock.cmo adef.cmo iovalue.cmo buff.cmo name.cmo mutil.cmo secure.cmo btree.cmo futil.cmo dutil.cmo database.cmo db2.cmo db2disk.cmo diff.cmo outbase.cmo gwdb.cmo pqueue.cmo progrBar.cmo consang.cmo consangAll.cmo checkItem.cmo check.cmo calendar.cmo notesLinks.cmo gwcomp.cmo gwc.cmo
GWC2_OBJS=calendar.cmo adef.cmo iovalue.cmo buff.cmo name.cmo mutil.cmo gwcomp.cmo argl.cmo lock.cmo progrBar.cmo secure.cmo iochan.cmo futil.cmo db2.cmo db2out.cmo notesLinks.cmo gwc2.cmo
CONSANG_OBJS=argl.cmo lock.cmo adef.cmo iovalue.cmo buff.cmo name.cmo mutil.cmo secure.cmo btree.cmo futil.cmo dutil.cmo progrBar.cmo database.cmo db2.cmo db2disk.cmo db2out.cmo diff.cmo outbase.cmo gwdb.cmo pqueue.cmo consang.cmo consangAll.cmo mk_consang.cmo
GWD_OBJS1=../wserver/wserver.cmo ../dag2html/dag2html.cmo argl.cmo lock.cmo adef.cmo iovalue.cmo buff.cmo name.cmo mutil.cmo secure.cmo btree.cmo futil.cmo dutil.cmo database.cmo db2.cmo db2disk.cmo diff.cmo gwdb.cmo checkItem.cmo gutil.cmo pqueue.cmo consang.cmo num.cmo version.cmo translate.cmo gwlib.cmo notesLinks.cmo util.cmo calendar.cmo templDate.cmo templ.cmo hutil.cmo date.cmo update.cmo wiki.cmo history.cmo notes.cmo wiznotes.cmo srcfile.cmo dag.cmo perso.cmo updateInd.cmo updateIndOk.cmo updateFam.cmo updateFamOk.cmo place.cmo
GWD_OBJS2=merge.cmo mergeFamOk.cmo mergeFam.cmo mergeInd.cmo mergeIndOk.cmo mergeDup.cmo changeChildren.cmo sendImage.cmo relationLink.cmo relation.cmo descend.cmo birthday.cmo cousins.cmo alln.cmo some.cmo advSearchOk.cmo birthDeath.cmo title.cmo doc.cmo forum.cmo image.cmo request.cmo base64.cmo robot.cmo
GWD_OBJS=$(GWD_OBJS1) $(GWD_OBJS2) compilation.cmo gwd.cmo
GWU_OBJS=argl.cmo adef.cmo iovalue.cmo buff.cmo name.cmo mutil.cmo secure.cmo btree.cmo futil.cmo dutil.cmo database.cmo db2.cmo db2disk.cmo diff.cmo gwdb.cmo checkItem.cmo gutil.cmo select.cmo calendar.cmo notesLinks.cmo progrBar.cmo gwu.cmo
PHONYGWD_OBJS=../wserver/wserver.cmo argl.cmo phonygwd.cmo
PROBOT_OBJS=probot.cmo
MOSTDESC_OBJS=argl.cmo secure.cmo buff.cmo name.cmo iovalue.cmo mutil.cmo adef.cmo futil.cmo diff.cmo dutil.cmo btree.cmo database.cmo db2.cmo db2disk.cmo gwdb.cmo consang.cmo pqueue.cmo num.cmo mostdesc.cmo
FPLA_OBJS=argl.cmo secure.cmo buff.cmo name.cmo iovalue.cmo mutil.cmo adef.cmo futil.cmo diff.cmo dutil.cmo btree.cmo database.cmo db2.cmo db2disk.cmo gwdb.cmo fpla.cmo
UPDATE_NLDB_OBJS=secure.cmo buff.cmo name.cmo adef.cmo iovalue.cmo mutil.cmo btree.cmo futil.cmo dutil.cmo database.cmo db2.cmo db2disk.cmo diff.cmo gwdb.cmo checkItem.cmo gutil.cmo argl.cmo notesLinks.cmo progrBar.cmo update_nldb.cmo
CHECK_BASE_OBJS=buff.cmo name.cmo iovalue.cmo mutil.cmo adef.cmo futil.cmo diff.cmo secure.cmo dutil.cmo btree.cmo database.cmo db2.cmo db2disk.cmo gwdb.cmo progrBar.cmo checkItem.cmo consang.cmo check.cmo check_base.cmo

all:: out

out:: gwlib.ml
opt:: gwlib.ml

out:: def.syn.cmo ansel.cmo gwc.out gwc2.out consang.out gwd.out gwu.out update_nldb.out check_base.out i18n_check.out
	$(RM) gwc gwc2 consang gwd gwu check_base
	cp gwc.out gwc
	cp gwc2.out gwc2
	cp consang.out consang
	cp gwd.out gwd
	cp gwu.out gwu
	cp update_nldb.out update_nldb
	cp check_base.out check_base

opt:: def.syn.cmo ansel.cmx gwc.opt gwc2.opt consang.opt gwd.opt gwu.opt update_nldb.opt check_base.opt
	$(RM) gwc consang gwd gwu
	cp gwc.opt gwc
	cp gwc2.opt gwc2
	cp consang.opt consang
	cp gwd.opt gwd
	cp gwu.opt gwu
	cp update_nldb.opt update_nldb
	cp check_base.opt check_base
	$(STRIP) gwc gwc2 consang gwd gwu update_nldb check_base

compilation.cmo: $(GWD_OBJS1) $(GWD_OBJS2) gwd.cmo
	$(MAKE) compilation.ml
	@$(CAMLP5_COMM) compilation.ml -o compilation.ppo
	$(OCAMLC) -c -impl compilation.ppo
	$(RM) compilation.ppo

compilation.cmx: $(GWD_OBJS1:.cmo=.cmx) $(GWD_OBJS2.cmo=.cmx) gwd.cmx
	$(MAKE) compilation.ml
	@$(CAMLP5_COMM) compilation.ml -o compilation.ppo
	$(OCAMLOPT) -c -impl compilation.ppo
	$(RM) compilation.ppo

compilation.ml: always
	> compilation.ml
	echo "open Def;" >> compilation.ml
	echo "value (wd, d, h) = ($$(date "+%u, {day=%d;month=%m;year=%Y;prec=Sure;delta=0}, \"%T %Z\""));" >> compilation.ml
	echo "value ct conf = Printf.sprintf \" (%s %4d-%02d-%02d %s)\" (Util.transl conf \"version\") d.year d.month d.day h;" >> compilation.ml
	echo "Util.compilation_time_hook.val := ct;" >> compilation.ml

clean::
	$(RM) gwc gwc2 consang gwd gwu update_nldb gwlib.ml

gwlib.ml:
	echo "value prefix =" > gwlib.ml
	echo "  try Sys.getenv \"GWPREFIX\" with" >> gwlib.ml
	echo "  [ Not_found -> \"$(PREFIX)\" ]" | \
	sed -e 's|\\|/|g' >> gwlib.ml
	echo ";" >> gwlib.ml

gwc.out: $(GWC_OBJS)
	$(OCAMLC) -custom $(STATIC) unix.cma $(GWC_OBJS) $(LIBUNIX) -o gwc.out

gwc.opt: $(GWC_OBJS:.cmo=.cmx)
	$(OCAMLOPT) $(STATIC) unix.cmxa $(GWC_OBJS:.cmo=.cmx) $(LIBUNIX) -o gwc.opt

gwc2.out: $(GWC2_OBJS)
	$(OCAMLC) -custom $(STATIC) unix.cma $(GWC2_OBJS) $(LIBUNIX) -o gwc2.out

gwc2.opt: $(GWC2_OBJS:.cmo=.cmx)
	$(OCAMLOPT) $(STATIC) unix.cmxa $(GWC2_OBJS:.cmo=.cmx) $(LIBUNIX) -o gwc2.opt

consang.out: $(CONSANG_OBJS)
	$(OCAMLC) -custom $(STATIC) unix.cma $(LIBUNIX) $(CONSANG_OBJS) -o consang.out

consang.opt: $(CONSANG_OBJS:.cmo=.cmx)
	$(OCAMLOPT) $(STATIC) unix.cmxa $(LIBUNIX) $(CONSANG_OBJS:.cmo=.cmx) -o consang.opt

gwd.out: $(GWD_OBJS)
	$(OCAMLC) -custom $(STATIC) $(OCAMLD) unix.cma -I $(CAMLP5D) gramlib.cma $(GWD_OBJS) $(LIBUNIX) -o gwd.out

gwd.opt: $(GWD_OBJS:.cmo=.cmx)
	$(OCAMLOPT) $(GWD_OBJS1:.cmo=.cmx) -a -o x1.cmxa
	$(OCAMLOPT) $(GWD_OBJS2:.cmo=.cmx) -a -o x2.cmxa
	$(OCAMLOPT) $(STATIC) unix.cmxa -I $(CAMLP5D) gramlib.cmxa x1.cmxa x2.cmxa compilation.cmx gwd.cmx $(LIBUNIX) -o gwd.opt

gwu.out: $(GWU_OBJS)
	$(OCAMLC) -custom $(STATIC) unix.cma $(LIBUNIX) $(GWU_OBJS) -o gwu.out

gwu.opt: $(GWU_OBJS:.cmo=.cmx)
	$(OCAMLOPT) $(STATIC) unix.cmxa $(LIBUNIX) $(GWU_OBJS:.cmo=.cmx) -o gwu.opt

phonygwd.out: $(PHONYGWD_OBJS)
	$(OCAMLC) -custom $(STATIC) unix.cma $(LIBUNIX) $(PHONYGWD_OBJS) -o phonygwd.out

probot.out: $(PROBOT_OBJS)
	$(OCAMLC) -custom $(STATIC) unix.cma $(LIBUNIX) $(PROBOT_OBJS) -o probot.out

mostdesc.out: $(MOSTDESC_OBJS)
	$(OCAMLC) -custom $(STATIC) unix.cma $(LIBUNIX) $(MOSTDESC_OBJS) -o mostdesc.out

mostdesc.opt: $(MOSTDESC_OBJS:.cmo=.cmx)
	$(OCAMLOPT) $(STATIC) unix.cmxa $(LIBUNIX) $(MOSTDESC_OBJS:.cmo=.cmx) -o mostdesc.opt

fpla.out: $(FPLA_OBJS)
	$(OCAMLC) -custom $(STATIC) unix.cma $(LIBUNIX) $(FPLA_OBJS) -o fpla.out

fpla.opt: $(FPLA_OBJS:.cmo=.cmx)
	$(OCAMLOPT) $(STATIC) unix.cmxa $(LIBUNIX) $(FPLA_OBJS:.cmo=.cmx) -o fpla.opt

update_nldb.out: $(UPDATE_NLDB_OBJS)
	$(OCAMLC) -custom $(STATIC) unix.cma $(LIBUNIX) $(UPDATE_NLDB_OBJS) -o update_nldb.out

update_nldb.opt: $(UPDATE_NLDB_OBJS:.cmo=.cmx)
	$(OCAMLOPT) $(STATIC) unix.cmxa $(LIBUNIX) $(UPDATE_NLDB_OBJS:.cmo=.cmx) -o update_nldb.opt

check_base.out: $(CHECK_BASE_OBJS)
	$(OCAMLC) -custom $(STATIC) unix.cma $(LIBUNIX) $(CHECK_BASE_OBJS) -o check_base.out

check_base.opt: $(CHECK_BASE_OBJS:.cmo=.cmx)
	$(OCAMLOPT) $(STATIC) unix.cmxa $(LIBUNIX) $(CHECK_BASE_OBJS:.cmo=.cmx) -o check_base.opt

i18n_check.out: i18n_check.cmo
	$(OCAMLC) i18n_check.cmo -o i18n_check.out

i18n: pr_transl.cmo always
	if test -f i18n; then mv i18n i18n.bak; fi
	export LC_ALL=C; \
	OBJS=$$((grep -w -c "transl conf" *.ml; grep -w -c "transl_nth conf" *.ml) | grep -v :0 | sed s/:.*$$// | sort | uniq); \
	( \
	  for i in $$OBJS; do \
	    echo $$i 1>&2; \
	    camlp5r pa_macro.cmo ./pa_lock.cmo ./pa_html.cmo ./pr_transl.cmo pa_extend.cmo $$i; \
	  done; \
	  cat ../hd/etc/*.txt ../hd/lang/start_utf8.txt ../hd/lang/advanced.txt | sed -e 's/%\[//g' -e 's/%]//g' -e 's/\]/\]\n/g' | grep "\[" | sed -e "s/^.*\[\*\?//" -e "s/::.*$$//" -e "s/].*$$//" \
	) | \
	sort | uniq | grep -v '^$$' > i18n

always:

depend:
	$(MAKE) pr_dep.cmo def.syn.cmo gwlib.ml
	$(MAKE) pa_lock.cmo pa_html.cmo q_codes.cmo
	export LC_ALL=C; TOP=.. ../tools/camlp5_depend.sh $(OCAMLI) $$(ls *.mli *.ml) > .depend.new
	mv .depend.new .depend

include .depend

=== wserver/Makefile ===
# $Id: Makefile,v 5.1 2007/09/12 09:58:44 ddr Exp $

include ../tools/Makefile.inc

OBJS=wserver.cmo

all:: $(OBJS)
opt:: $(OBJS:.cmo=.cmx)

depend:
	TOP=.. ../tools/camlp5_depend.sh $(OCAMLI) *.ml* > .depend

include .depend

=== contrib/gwdiff/Makefile ===
# $Id: Makefile,v 5.1 2007/09/12 09:58:44 ddr Exp $

include ../../tools/Makefile.inc
TOP=../..

OCAMLI=-I $(TOP)/src
GWDIFF_OBJS=$(TOP)/src/argl.cmo $(TOP)/src/adef.cmo $(TOP)/src/name.cmo $(TOP)/src/buff.cmo $(TOP)/src/gutil.cmo $(TOP)/src/btree.cmo $(TOP)/src/iovalue.cmo $(TOP)/src/iobase.cmo $(TOP)/src/calendar.cmo gwdiff.cmo

all:: gwdiff.opt

gwdiff.out: $(GWDIFF_OBJS)
	$(OCAMLC) -custom unix.cma $(GWDIFF_OBJS) $(LIBUNIX) -o gwdiff.out

gwdiff.opt: $(GWDIFF_OBJS:.cmo=.cmx)
	$(OCAMLOPT) unix.cmxa $(GWDIFF_OBJS:.cmo=.cmx) $(LIBUNIX) -o gwdiff.opt

depend:
	TOP=$(TOP) $(TOP)/tools/camlp5_depend.sh $(OCAMLI) `ls *.mli *.ml` > .depend.new
	mv .depend.new .depend

include .depend

## geneweb 5.02~cvs20091031

=== Makefile ===
--- 
+++ 
@@ -1,4 +1,4 @@
-# $Id: Makefile,v 5.5 2007/09/12 09:58:44 ddr Exp $
+# $Id: Makefile,v 5.7 2009-03-11 10:53:30 ddr Exp $
 
 PREFIX=/usr
 LANGDIR=$(PREFIX)/share/geneweb
@@ -34,6 +34,7 @@
 install:
 	mkdir -p $(PREFIX)/bin
 	cp src/gwc $(PREFIX)/bin/gwc$(EXE)
+	cp src/gwc1 $(PREFIX)/bin/gwc1$(EXE)
 	cp src/gwc2 $(PREFIX)/bin/gwc2$(EXE)
 	cp src/consang $(PREFIX)/bin/consang$(EXE)
 	cp src/gwd $(PREFIX)/bin/gwd$(EXE)
@@ -59,6 +60,7 @@
 
 uninstall:
 	rm -f $(PREFIX)/bin/gwc$(EXE)
+	rm -f $(PREFIX)/bin/gwc1$(EXE)
 	rm -f $(PREFIX)/bin/gwc2$(EXE)
 	rm -f $(PREFIX)/bin/consang$(EXE)
 	rm -f $(PREFIX)/bin/gwd$(EXE)
@@ -118,6 +120,7 @@
 	cp CHANGES $(DESTDIR)/CHANGES.txt
 	cp LICENSE $(DESTDIR)/LICENSE.txt
 	cp src/gwc $(DESTDIR)/gwc$(EXE)
+	cp src/gwc1 $(DESTDIR)/gwc1$(EXE)
 	cp src/gwc2 $(DESTDIR)/gwc2$(EXE)
 	cp src/consang $(DESTDIR)/consang$(EXE)
 	cp src/gwd $(DESTDIR)/gwd$(EXE)
@@ -175,10 +178,10 @@
 	$(RM) -f *~ .#*
 
 clean_mismatch:
-	rm src/pa_lock.cmo src/pa_html.cmo src/def.syn.cmo
+	rm src/pa_lock.cmo src/pa_html.cmo src/def_syn.cmo
 
 depend:
-	cd src; $(MAKE) pr_dep.cmo def.syn.cmo gwlib.ml
+	cd src; $(MAKE) pr_dep.cmo def_syn.cmo gwlib.ml
 	cd src; $(MAKE) pa_lock.cmo pa_html.cmo q_codes.cmo
 	cd wserver; $(MAKE) depend
 	cd src; $(MAKE) depend

=== wserver/Makefile ===
--- 
+++ 
@@ -1,4 +1,4 @@
-# $Id: Makefile,v 5.1 2007/09/12 09:58:44 ddr Exp $
+# $Id: Makefile,v 5.1 2007-09-12 09:58:44 ddr Exp $
 
 include ../tools/Makefile.inc

=== debian/changelog ===
geneweb (5.02~cvs20091031-8) unstable; urgency=low

  * Don't strip Ocaml bytecode executables on arches where there
    is no native compiler. Closes: #603580

 -- Christian Perrier <bubulle@debian.org>  Thu, 13 Jan 2011 20:09:22 +0100

geneweb (5.02~cvs20091031-7) unstable; urgency=low

  * Upgrade to debhelper v7.

 -- Christian Perrier <bubulle@debian.org>  Sun, 18 Jul 2010 18:43:13 +0200

geneweb (5.02~cvs20091031-6) unstable; urgency=low

  * Drop extra debian/geneweb.init.old file
  * Add $remote_fs to Required-Stop in geneweb and gwsetup init scripts
  * Bump Standards to 3.9.0 (checked, no change)
  * Force 4-byte, big endian in input_binary_int/output_binary_int
    Closes: #557553 
  * Use dh_lintian to install lintian overrides

 -- Christian Perrier <bubulle@debian.org>  Sat, 17 Jul 2010 19:43:20 +0200

geneweb (5.02~cvs20091031-5) unstable; urgency=low

  * Drop the use of a wrapper whose only purpose was wroking with
    a proper umask. Use the --umask option of s-s-d instead

 -- Christian Perrier <bubulle@debian.org>  Sat, 30 Jan 2010 15:14:36 +0100

geneweb (5.02~cvs20091031-4) unstable; urgency=low

  * Better deal with databases containing whitespaces in postinst
    script. Thanks to Christian Gennerat for reporting this privately.

 -- Christian Perrier <bubulle@debian.org>  Sun, 20 Dec 2009 17:31:28 +0100

geneweb (5.02~cvs20091031-3) unstable; urgency=low

  * Proper quoting of variables in postinst script to prevent
    failures when file or directory names contain spaces.

 -- Christian Perrier <bubulle@debian.org>  Fri, 04 Dec 2009 20:36:07 +0100

geneweb (5.02~cvs20091031-2) unstable; urgency=low

  * Add README.source (copied from samba)
  * Bump debhelper compatibility to 7
  * As a consequence, replace "dh_clean -k" by dh_prep
  * Use 3.0 (quilt) source format
  * Add Vcs-Browser: and Vcs-svn: to debian/control

 -- Christian Perrier <bubulle@debian.org>  Sun, 08 Nov 2009 17:58:14 +0100

geneweb (5.02~cvs20091031-1) unstable; urgency=low

  * Release CVS snapshot as upstream didn't release for a while
  * Add 0 and 6 runlevels to Should-Stop in init scripts
  * Update Standards-Version to 3.8.3 (checked)

 -- Christian Perrier <bubulle@debian.org>  Sat, 31 Oct 2009 19:02:25 +0100

geneweb (5.01-9) unstable; urgency=low

  * First upload for squeeze
  * Upgrade Standards to 3.8.1: /var/run/gwtp has been dealt with
    (see below)
  * debian/patches/014_no-warn-error: disable -warn-error to fix
    a build failure. Closes: #521674
    Thanks to Stéphane Glondu for the patch
  * Lintian fixes:
    - geneweb.postinst: no longer ignore errors (set -e)
    - gwtp.postinst: no longer ignore errors (set -e)
    - gwtp.prerm: no longer ignore errors (set -e)
    - gwsetup.postinst: no longer ignore errors (set -e)
    - control: add ${misc:Depends} to gwtp dependencies
    - gwtp.dirs, add-on/gwtp/cgi/gwtp.cgi: /var/run/gwtp is no
      longer provided in the package but created dynamically by the CGI
      wrapper
  * No longer use iso_639.tab for languages' names. Use
    isoquery output instead. Thanks to Tobias Quatamer for the patch
    Closes: #523161
  * Drop upgrade code from a pre-lenny version in gwtp.prerm. That empties
    that script which is thus removed.

 -- Christian Perrier <bubulle@debian.org>  Sun, 12 Apr 2009 11:57:21 +0200

geneweb (5.01-8) unstable; urgency=low

  * Add "-bindir" to gwsetup's invocation in the wrapper script.
    Thanks to Andreas Beckmann for the proposed patch.
    Closes: #500166
  * Remove stupid debugging line in gwtp's CGI script
    Closes: #503849
  * Update Standards to 3.8.0

 -- Christian Perrier <bubulle@debian.org>  Thu, 27 Nov 2008 10:42:56 +0100

geneweb (5.01-7) unstable; urgency=low

  * Unfuzzy Portuguese and Tamil translations that were fuzzy for no
    reason, on the default language entry
  * Updated to Standards: 3.8.0 (checked)
  * [Lintian] Add copy right information to debian/copyright
  * [Lintian] Empty directories removed: usr/lib/menu, usr/share/doc-base

 -- Christian Perrier <bubulle@debian.org>  Sun, 22 Jun 2008 19:29:45 +0200

geneweb (5.01-6) unstable; urgency=low

  * Fix watch file as upstream now uses "tgz" as extension

 -- Christian Perrier <bubulle@debian.org>  Mon, 18 Feb 2008 19:40:03 +0100

geneweb (5.01-5) unstable; urgency=medium

  * debian/get-iso-codes:
    - Use "--no-run-if-empty" on xargs to avoid rm failing in some cases.
      Thanks to the build daemon from hell by Lucas Nussbaum for
      spotting this. Closes: #465629
  * Fix a typo in README.Debian (s/member os/member of)

 -- Christian Perrier <bubulle@debian.org>  Wed, 13 Feb 2008 20:53:47 +0100

geneweb (5.01-4) unstable; urgency=low

  * debian/rules:
    - Install init scripts for all runlevels but 0 and 6 as
      stopping processes is already done by the default
      halt and shutdown sequences.
  * debian/geneweb.init:
    - Add (empty) Should-Start and Should-Stop lines
      as per http://wiki.debian.org/LSBInitScripts
    - Remove runlevels 0 and 6 from the Default-Stop entry.
      Stopping processes is already done by the default
      halt and shutdown sequences.
  * debian/gwsetup.init:
    - Add (empty) Should-Start and Should-Stop lines
      as per http://wiki.debian.org/LSBInitScripts
    - Remove runlevels 0 and 6 from the Default-Stop entry.
      Stopping processes is already done by the default
      halt and shutdown sequences.
  * debian/geneweb.templates.master:
    - Set default value for language to "English" and not "en"
      Closes: #459277

 -- Christian Perrier <bubulle@debian.org>  Sat, 05 Jan 2008 12:15:43 +0100

geneweb (5.01-3) unstable; urgency=low

  * debian/get-iso-codes:
    - Delete all 0 size .po files, as pkgstriptranslations in Ubuntu
      throws an error if such files don't contain anything.

 -- Christian Perrier <bubulle@debian.org>  Fri, 19 Oct 2007 20:22:48 +0200

geneweb (5.01-2) unstable; urgency=low

  * Add a "Homepage:" field to debian/control


=== debian/control ===
Source: geneweb
Section: misc
Priority: optional
Maintainer: Christian Perrier <bubulle@debian.org>
Standards-Version: 3.9.0
Build-Depends: debhelper (>= 7.0.50~), ocaml-best-compilers, ocaml (>= 3.04), camlp5, doc-base, dh-buildinfo, iso-codes, isoquery, po-debconf
Homepage: http://www.geneweb.org/
Vcs-Browser: http://svn.debian.org/wsvn/collab-maint/deb-maint/geneweb
Vcs-Svn: svn://svn.debian.org/svn/collab-maint/deb-maint/geneweb

Package: geneweb
Section: misc
Architecture: any
Depends: ${shlibs:Depends},perl5-base, lsb-base (>= 3.0-6)
Pre-Depends: ${misc:Depends}, iso-codes, isoquery, adduser
Suggests: menu (>=2.1.35), gwtp, gwsetup, lynx | www-browser
Priority: optional
Description: genealogy software with web interface
 Geneweb allows to keep track of ancestral data. It is a powerful
 system for maintaining a set of data about your family history. It
 supports much of the GEDCOM tag system for data storage, and can be
 used either as your primary system for archiving genealogical data,
 or as a web service (through a CGI interface) for publishing your
 data for others to use.
 .
 Geneweb is under active use and development, so its feature set
 is constantly improving. It already boasts features not found in
 most off-the-shelf products, such as consanguinity and relationship
 calculations, as well as other statistical analysis tools.

Package: gwtp
Section: misc
Architecture: any
Depends: ${shlibs:Depends}, ${misc:Depends}, geneweb
Suggests: httpd
Priority: optional
Description: web interface interacting with Geneweb databases
 Gwtp is a CGI program allowing owners of databases hosted on a
 GeneWeb site to upload and download their databases on the site and
 change their configuration parameters.

Package: gwsetup
Section: misc
Architecture: any
Pre-Depends: adduser
Depends: ${misc:Depends}, ${shlibs:Depends}, geneweb
Priority: optional
Description: utilities to configure and manipulate Geneweb databases
 Gwsetup is a command-line program which also includes a mini web server
 to help Geneweb users to setup and manipulate genealogical databases
 to be used with the main Geneweb program.

=== debian/rules ===
#!/usr/bin/make -f
%:
	dh $@

PACKAGE=geneweb

WAY=$(shell if [ -f "/usr/bin/ocamlc.opt" ]; then echo "opt"; \
else echo "out"; \
fi)

ifeq ($(WAY),out)
override_dh_strip:
	# Don't strip ocaml bytecode executables
endif   


override_dh_installdeb:
	# Use of the dh-buildinfo package: see http://people.debian.org/~dirson/buildinfo/
	dh_buildinfo
	dh_installdeb
	
override_dh_auto_install:

override_dh_auto_build:
	# Move the proper makefile into place	
	cp -f `pwd`/tools/Makefile.inc.$(WAY) `pwd`/tools/Makefile.inc
	$(MAKE) $(WAY)
	$(MAKE) distrib

override_dh_clean:
	rm -rf debian/iso-codes
	rm -rf debian/pobuild
	rm -f debian/geneweb.templates.tmp
	rm -f debian/geneweb.templates
	debconf-updatepo
	# Add here commands to clean up after the build process.
	[ ! -f tools/Makefile.inc ] || [ ! -f Makefile ] || $(MAKE) clean
	# Clean out cruft left by former builds
	rm -f tools/Makefile.inc
	rm -f compilation.ml
	dh_clean

override_dh_install:
	dh_install
	# Doc files go to the appropriate directory
	install -m 644 `pwd`/CHANGES \
	        `pwd`/debian/geneweb/usr/share/doc/geneweb/changelog
	# The CGI script
	chmod 755 `pwd`/debian/gwtp/usr/lib/cgi-bin/gwtp/gwtp.cgi
	# The wrappers
	chmod 755 `pwd`/debian/gwsetup/usr/lib/geneweb/gwsetup.wrapper

override_dh_installdocs:
	dh_installdocs
	# License files should not be duplicated
	rm `pwd`/debian/geneweb/usr/share/doc/geneweb/LICENSE.htm || true

override_dh_installdebconf:
	# Grab ISO 639 language code translations
	chmod u+x debian/get-iso-codes
	debian/get-iso-codes
	# Build templates
	chmod u+x debian/mktemplates
	debian/mktemplates
	dh_installdebconf

## geneweb 5.02

=== src/Makefile ===
--- 
+++ 
@@ -1,11 +1,11 @@
-# $Id: Makefile,v 5.46 2007/09/12 09:58:44 ddr Exp $
+# $Id: Makefile,v 5.53 2008-11-03 15:40:10 ddr Exp $
 
 include ../tools/Makefile.inc
 
 PREFIX=/usr
 OCAMLI=-I ../wserver -I ../dag2html
-GWC_OBJS=argl.cmo lock.cmo adef.cmo iovalue.cmo buff.cmo name.cmo mutil.cmo secure.cmo btree.cmo futil.cmo dutil.cmo database.cmo db2.cmo db2disk.cmo diff.cmo outbase.cmo gwdb.cmo pqueue.cmo progrBar.cmo consang.cmo consangAll.cmo checkItem.cmo check.cmo calendar.cmo notesLinks.cmo gwcomp.cmo gwc.cmo
-GWC2_OBJS=calendar.cmo adef.cmo iovalue.cmo buff.cmo name.cmo mutil.cmo gwcomp.cmo argl.cmo lock.cmo progrBar.cmo secure.cmo iochan.cmo futil.cmo db2.cmo db2out.cmo notesLinks.cmo gwc2.cmo
+GWC_OBJS=argl.cmo lock.cmo adef.cmo iovalue.cmo buff.cmo name.cmo mutil.cmo secure.cmo btree.cmo futil.cmo dutil.cmo database.cmo db2.cmo db2disk.cmo diff.cmo outbase.cmo gwdb.cmo pqueue.cmo progrBar.cmo consang.cmo consangAll.cmo checkItem.cmo check.cmo calendar.cmo notesLinks.cmo gwcomp.cmo db1link.cmo gwc.cmo
+GWC2_OBJS=calendar.cmo adef.cmo iovalue.cmo buff.cmo name.cmo mutil.cmo gwcomp.cmo argl.cmo lock.cmo progrBar.cmo secure.cmo iochan.cmo futil.cmo db2.cmo db2out.cmo notesLinks.cmo db2disk.cmo dutil.cmo btree.cmo database.cmo gwdb.cmo consang.cmo consangAll.cmo checkItem.cmo check.cmo db2link.cmo gwc2.cmo
 CONSANG_OBJS=argl.cmo lock.cmo adef.cmo iovalue.cmo buff.cmo name.cmo mutil.cmo secure.cmo btree.cmo futil.cmo dutil.cmo progrBar.cmo database.cmo db2.cmo db2disk.cmo db2out.cmo diff.cmo outbase.cmo gwdb.cmo pqueue.cmo consang.cmo consangAll.cmo mk_consang.cmo
 GWD_OBJS1=../wserver/wserver.cmo ../dag2html/dag2html.cmo argl.cmo lock.cmo adef.cmo iovalue.cmo buff.cmo name.cmo mutil.cmo secure.cmo btree.cmo futil.cmo dutil.cmo database.cmo db2.cmo db2disk.cmo diff.cmo gwdb.cmo checkItem.cmo gutil.cmo pqueue.cmo consang.cmo num.cmo version.cmo translate.cmo gwlib.cmo notesLinks.cmo util.cmo calendar.cmo templDate.cmo templ.cmo hutil.cmo date.cmo update.cmo wiki.cmo history.cmo notes.cmo wiznotes.cmo srcfile.cmo dag.cmo perso.cmo updateInd.cmo updateIndOk.cmo updateFam.cmo updateFamOk.cmo place.cmo
 GWD_OBJS2=merge.cmo mergeFamOk.cmo mergeFam.cmo mergeInd.cmo mergeIndOk.cmo mergeDup.cmo changeChildren.cmo sendImage.cmo relationLink.cmo relation.cmo descend.cmo birthday.cmo cousins.cmo alln.cmo some.cmo advSearchOk.cmo birthDeath.cmo title.cmo doc.cmo forum.cmo image.cmo request.cmo base64.cmo robot.cmo
@@ -23,9 +23,10 @@
 out:: gwlib.ml
 opt:: gwlib.ml
 
-out:: def.syn.cmo ansel.cmo gwc.out gwc2.out consang.out gwd.out gwu.out update_nldb.out check_base.out i18n_check.out
+out:: def_syn.cmo ansel.cmo gwc1.out gwc2.out consang.out gwd.out gwu.out update_nldb.out check_base.out i18n_check.out
 	$(RM) gwc gwc2 consang gwd gwu check_base
-	cp gwc.out gwc
+	cp gwc1.out gwc
+	cp gwc1.out gwc1
 	cp gwc2.out gwc2
 	cp consang.out consang
 	cp gwd.out gwd
@@ -33,9 +34,10 @@
 	cp update_nldb.out update_nldb
 	cp check_base.out check_base
 
-opt:: def.syn.cmo ansel.cmx gwc.opt gwc2.opt consang.opt gwd.opt gwu.opt update_nldb.opt check_base.opt
+opt:: def_syn.cmo ansel.cmx gwc1.opt gwc2.opt consang.opt gwd.opt gwu.opt update_nldb.opt check_base.opt
 	$(RM) gwc consang gwd gwu
-	cp gwc.opt gwc
+	cp gwc1.opt gwc
+	cp gwc1.opt gwc1
 	cp gwc2.opt gwc2
 	cp consang.opt consang
 	cp gwd.opt gwd
@@ -64,7 +66,7 @@
 	echo "Util.compilation_time_hook.val := ct;" >> compilation.ml
 
 clean::
-	$(RM) gwc gwc2 consang gwd gwu update_nldb gwlib.ml
+	$(RM) gwc gwc1 gwc2 consang gwd gwu update_nldb gwlib.ml
 
 gwlib.ml:
 	echo "value prefix =" > gwlib.ml
@@ -73,11 +75,11 @@
 	sed -e 's|\\|/|g' >> gwlib.ml
 	echo ";" >> gwlib.ml
 
-gwc.out: $(GWC_OBJS)
-	$(OCAMLC) -custom $(STATIC) unix.cma $(GWC_OBJS) $(LIBUNIX) -o gwc.out
+gwc1.out: $(GWC_OBJS)
+	$(OCAMLC) -custom $(STATIC) unix.cma $(GWC_OBJS) $(LIBUNIX) -o gwc1.out
 
-gwc.opt: $(GWC_OBJS:.cmo=.cmx)
-	$(OCAMLOPT) $(STATIC) unix.cmxa $(GWC_OBJS:.cmo=.cmx) $(LIBUNIX) -o gwc.opt
+gwc1.opt: $(GWC_OBJS:.cmo=.cmx)
+	$(OCAMLOPT) $(STATIC) unix.cmxa $(GWC_OBJS:.cmo=.cmx) $(LIBUNIX) -o gwc1.opt
 
 gwc2.out: $(GWC2_OBJS)
 	$(OCAMLC) -custom $(STATIC) unix.cma $(GWC2_OBJS) $(LIBUNIX) -o gwc2.out
@@ -141,7 +143,7 @@
 i18n: pr_transl.cmo always
 	if test -f i18n; then mv i18n i18n.bak; fi
 	export LC_ALL=C; \
-	OBJS=$$((grep -w -c "transl conf" *.ml; grep -w -c "transl_nth conf" *.ml) | grep -v :0 | sed s/:.*$$// | sort | uniq); \
+	OBJS=`(grep -w -c "transl conf" *.ml; grep -w -c "transl_nth conf" *.ml) | grep -v :0 | sed s/:.*$$// | sort | uniq`; \
 	( \
 	  for i in $$OBJS; do \
 	    echo $$i 1>&2; \
@@ -154,7 +156,7 @@
 always:
 
 depend:
-	$(MAKE) pr_dep.cmo def.syn.cmo gwlib.ml
+	$(MAKE) pr_dep.cmo def_syn.cmo gwlib.ml
 	$(MAKE) pa_lock.cmo pa_html.cmo q_codes.cmo
 	export LC_ALL=C; TOP=.. ../tools/camlp5_depend.sh $(OCAMLI) $$(ls *.mli *.ml) > .depend.new
 	mv .depend.new .depend

=== wserver/Makefile ===
# $Id: Makefile,v 5.2 2010-09-23 17:16:49 ddr Exp $

include ../tools/Makefile.inc

OBJS=wserver.cmo

all:: pa_macro5.cmo $(OBJS)
opt:: pa_macro5.cmo $(OBJS:.cmo=.cmx)

pa_macro5.cmo: pa_macro5.ml
	camlp5r pa_extend.cmo q_MLast.cmo -o pa_macro5.ppo pa_macro5.ml
	ocamlc -c -I `camlp5 -where` -impl pa_macro5.ppo

depend:
	TOP=.. ../tools/camlp5_depend.sh $(OCAMLI) *.ml* > .depend

include .depend

=== debian/changelog ===
geneweb (5.02-1) unstable; urgency=low

  * New upstream release. Closes: #611987

 -- Christian Perrier <bubulle@debian.org>  Sat, 05 Feb 2011 15:53:58 +0100

## geneweb 6.00

=== Makefile ===
--- 
+++ 
@@ -40,6 +40,7 @@
 	cp src/gwd $(PREFIX)/bin/gwd$(EXE)
 	cp src/gwu $(PREFIX)/bin/gwu$(EXE)
 	cp ged2gwb/ged2gwb $(PREFIX)/bin/ged2gwb$(EXE)
+	cp ged2gwb/ged2gwb2 $(PREFIX)/bin/ged2gwb2$(EXE)
 	cp gwb2ged/gwb2ged $(PREFIX)/bin/gwb2ged$(EXE)
 	mkdir -p $(DOCDIR)
 	cp doc/*.htm $(DOCDIR)/.
@@ -52,7 +53,7 @@
 	mkdir -p $(LANGDIR)/lang
 	cp hd/lang/*.txt $(LANGDIR)/lang/.
 	mkdir -p $(LANGDIR)/images
-	cp hd/images/*.jpg hd/images/*.png $(LANGDIR)/images/.
+	cp hd/images/*.jpg hd/images/*.png hd/images/*.ico $(LANGDIR)/images/.
 	mkdir -p $(LANGDIR)/etc
 	cp hd/etc/*.txt $(LANGDIR)/etc/.
 	mkdir -p $(MANDIR)
@@ -74,10 +75,16 @@
 
 wrappers:
 	if test "$(CAMLP5F)" = "-DWIN95"; then \
-	  echo 'cd gw' > $(DESTDIR)/gwd.bat; \
-	  echo 'gwd' >> $(DESTDIR)/gwd.bat; \
-	  echo 'cd gw' > $(DESTDIR)/gwsetup.bat; \
-	  echo 'gwsetup' >> $(DESTDIR)/gwsetup.bat; \
+	  echo -ne 'setlocal enableextensions\r\n' > $(DESTDIR)/gwd.bat; \
+	  echo -ne 'md bases\r\n' >> $(DESTDIR)/gwd.bat; \
+	  echo -ne 'endlocal\r\n' >> $(DESTDIR)/gwd.bat; \
+	  echo -ne 'cd bases\r\n' >> $(DESTDIR)/gwd.bat; \
+	  echo -ne 'start /MIN ..\\gw\\gwd -hd ..\\gw\r\n' >> $(DESTDIR)/gwd.bat; \
+	  echo -ne 'setlocal enableextensions\r\n' > $(DESTDIR)/gwsetup.bat; \
+	  echo -ne 'md bases\r\n' >> $(DESTDIR)/gwsetup.bat; \
+	  echo -ne 'endlocal\r\n' >> $(DESTDIR)/gwsetup.bat; \
+	  echo -ne 'cd bases\r\n' >> $(DESTDIR)/gwsetup.bat; \
+	  echo -ne 'start /MIN ..\\gw\\gwsetup -lang fr -gd ..\\gw\r\n' >> $(DESTDIR)/gwsetup.bat; \
 	else \
 	  (echo '#!/bin/sh'; \
 	   echo 'mkdir -p bases'; \
@@ -152,9 +159,11 @@
 	mkdir $(DESTDIR)/lang
 	cp hd/lang/*.txt $(DESTDIR)/lang/.
 	mkdir $(DESTDIR)/images
-	cp hd/images/*.jpg hd/images/*.png $(DESTDIR)/images/.
+	cp hd/images/*.jpg hd/images/*.png hd/images/*.ico $(DESTDIR)/images/.
 	mkdir $(DESTDIR)/etc
 	cp hd/etc/*.txt $(DESTDIR)/etc/.
+	mkdir $(DESTDIR)/css
+	cp hd/css/*.css $(DESTDIR)/css/.
 
 windows_files:
 	@for i in distribution/*.txt distribution/gw/*.txt; do \

=== src/Makefile ===
--- 
+++ 
@@ -62,7 +62,7 @@
 	> compilation.ml
 	echo "open Def;" >> compilation.ml
 	echo "value (wd, d, h) = ($$(date "+%u, {day=%d;month=%m;year=%Y;prec=Sure;delta=0}, \"%T %Z\""));" >> compilation.ml
-	echo "value ct conf = Printf.sprintf \" (%s %4d-%02d-%02d %s)\" (Util.transl conf \"version\") d.year d.month d.day h;" >> compilation.ml
+	echo "value ct conf = Printf.sprintf \" (%4d-%02d-%02d %s)\" d.year d.month d.day h;" >> compilation.ml
 	echo "Util.compilation_time_hook.val := ct;" >> compilation.ml
 
 clean::

=== debian/changelog ===
geneweb (6.00-2) unstable; urgency=low

  * No longer Suggests: menu

 -- Christian Perrier <bubulle@debian.org>  Sun, 30 Oct 2011 16:16:05 +0100

geneweb (6.00-1) unstable; urgency=low

  * New upstream version
  * Bump Standards to 3.9.2 (checked)
  * Fix grammar error in package description ("allows keeping")
  * Drop installation of CHANGES that's already installed as "changelog"

 -- Christian Perrier <bubulle@debian.org>  Mon, 17 Oct 2011 21:17:21 +0200

=== debian/control ===
--- 
+++ 
@@ -2,7 +2,7 @@
 Section: misc
 Priority: optional
 Maintainer: Christian Perrier <bubulle@debian.org>
-Standards-Version: 3.9.0
+Standards-Version: 3.9.2
 Build-Depends: debhelper (>= 7.0.50~), ocaml-best-compilers, ocaml (>= 3.04), camlp5, doc-base, dh-buildinfo, iso-codes, isoquery, po-debconf
 Homepage: http://www.geneweb.org/
 Vcs-Browser: http://svn.debian.org/wsvn/collab-maint/deb-maint/geneweb
@@ -13,10 +13,10 @@
 Architecture: any
 Depends: ${shlibs:Depends},perl5-base, lsb-base (>= 3.0-6)
 Pre-Depends: ${misc:Depends}, iso-codes, isoquery, adduser
-Suggests: menu (>=2.1.35), gwtp, gwsetup, lynx | www-browser
+Suggests: gwtp, gwsetup, lynx | www-browser
 Priority: optional
 Description: genealogy software with web interface
- Geneweb allows to keep track of ancestral data. It is a powerful
+ Geneweb allows keeping track of ancestral data. It is a powerful
  system for maintaining a set of data about your family history. It
  supports much of the GEDCOM tag system for data storage, and can be
  used either as your primary system for archiving genealogical data,

## geneweb 6.03

=== Makefile ===
--- 
+++ 
@@ -2,7 +2,6 @@
 
 PREFIX=/usr
 LANGDIR=$(PREFIX)/share/geneweb
-DOCDIR=$(PREFIX)/share/geneweb/doc
 MANDIR=$(PREFIX)/man/man1
 DESTDIR=distribution
 MANPAGES=ged2gwb.1 gwb2ged.1 gwc.1 gwc2.1 gwu.1 gwd.1 consang.1 gwsetup.1
@@ -17,7 +16,6 @@
 	cd src; $(MAKE) PREFIX=$(PREFIX) all
 	cd ged2gwb; $(MAKE) all
 	cd gwb2ged; $(MAKE) all
-	cd doc; $(MAKE) all
 	cd setup; $(MAKE) all
 	cd gwtp; $(MAKE) all
 
@@ -27,7 +25,6 @@
 	cd src; $(MAKE) PREFIX=$(PREFIX) opt
 	cd ged2gwb; $(MAKE) opt
 	cd gwb2ged; $(MAKE) opt
-	cd doc; $(MAKE) opt
 	cd setup; $(MAKE) opt
 	cd gwtp; $(MAKE) opt
 
@@ -42,20 +39,28 @@
 	cp ged2gwb/ged2gwb $(PREFIX)/bin/ged2gwb$(EXE)
 	cp ged2gwb/ged2gwb2 $(PREFIX)/bin/ged2gwb2$(EXE)
 	cp gwb2ged/gwb2ged $(PREFIX)/bin/gwb2ged$(EXE)
-	mkdir -p $(DOCDIR)
-	cp doc/*.htm $(DOCDIR)/.
-	for i in de en fr it nl sv; do \
-	  mkdir -p $(DOCDIR)/$$i; \
-	  cp doc/$$i/*.htm $(DOCDIR)/$$i/.; \
-	done
-	mkdir -p $(DOCDIR)/images
-	cp doc/images/*.jpg doc/images/gwlogo.png $(DOCDIR)/images/.
 	mkdir -p $(LANGDIR)/lang
 	cp hd/lang/*.txt $(LANGDIR)/lang/.
 	mkdir -p $(LANGDIR)/images
 	cp hd/images/*.jpg hd/images/*.png hd/images/*.ico $(LANGDIR)/images/.
 	mkdir -p $(LANGDIR)/etc
 	cp hd/etc/*.txt $(LANGDIR)/etc/.
+	mkdir -p $(LANGDIR)/etc/templa
+	mkdir -p $(LANGDIR)/etc/templb
+	mkdir -p $(LANGDIR)/etc/templc
+	mkdir -p $(LANGDIR)/etc/templd
+	mkdir -p $(LANGDIR)/etc/templf
+	mkdir -p $(LANGDIR)/etc/templh
+	mkdir -p $(LANGDIR)/etc/templm
+	mkdir -p $(LANGDIR)/etc/templm/my_base
+	cp hd/etc/templa/*.txt $(LANGDIR)/etc/templa/.
+	cp hd/etc/templb/*.txt $(LANGDIR)/etc/templb/.
+	cp hd/etc/templc/*.txt $(LANGDIR)/etc/templc/.
+	cp hd/etc/templd/*.txt $(LANGDIR)/etc/templd/.
+	cp hd/etc/templf/*.txt $(LANGDIR)/etc/templf/.
+	cp hd/etc/templh/*.txt $(LANGDIR)/etc/templh/.
+	cp hd/etc/templm/*.txt $(LANGDIR)/etc/templm/.
+	cp hd/etc/templm/my_base/*.txt $(LANGDIR)/etc/templm/my_base/.
 	mkdir -p $(MANDIR)
 	cd man; cp $(MANPAGES) $(MANDIR)/.
 
@@ -113,9 +118,7 @@
 	cp setup/lang/*.htm $(DESTDIR)/gw/setup/lang/.
 	cp setup/lang/lexicon.txt $(DESTDIR)/gw/setup/lang/.
 	cp setup/gwsetup $(DESTDIR)/gw/gwsetup$(EXE)
-	for i in README LISEZMOI; do \
-	  cat etc/$$i.distrib.txt >> $(DESTDIR)/$$i.txt; \
-	done
+	cat etc/README.distrib.txt >> $(DESTDIR)/README.txt; \
 	cp LICENSE $(DESTDIR)/LICENSE.txt
 	cp etc/START.htm $(DESTDIR)/.
 	echo "127.0.0.1" > $(DESTDIR)/gw/only.txt
@@ -125,7 +128,6 @@
 	$(RM) -rf $(DESTDIR)
 	mkdir $(DESTDIR)
 	cp CHANGES $(DESTDIR)/CHANGES.txt
-	cp LICENSE $(DESTDIR)/LICENSE.txt
 	cp src/gwc $(DESTDIR)/gwc$(EXE)
 	cp src/gwc1 $(DESTDIR)/gwc1$(EXE)
 	cp src/gwc2 $(DESTDIR)/gwc2$(EXE)
@@ -134,36 +136,37 @@
 	cp src/gwu $(DESTDIR)/gwu$(EXE)
 	cp src/update_nldb $(DESTDIR)/update_nldb$(EXE)
 	cp ged2gwb/ged2gwb $(DESTDIR)/ged2gwb$(EXE)
+	cp ged2gwb/ged2gwb2 $(DESTDIR)/ged2gwb2$(EXE)
 	cp gwb2ged/gwb2ged $(DESTDIR)/gwb2ged$(EXE)
 	mkdir $(DESTDIR)/gwtp_tmp
 	mkdir $(DESTDIR)/gwtp_tmp/lang
 	cp gwtp/gwtp $(DESTDIR)/gwtp_tmp/gwtp$(EXE)
 	cp gwtp/README $(DESTDIR)/gwtp_tmp/.
 	cp gwtp/lang/*.txt $(DESTDIR)/gwtp_tmp/lang/.
-	cp etc/LISEZMOI.txt $(DESTDIR)/.
-	cp etc/README.txt $(DESTDIR)/.
 	cp etc/INSTALL.htm $(DESTDIR)/.
 	cp etc/a.gwf $(DESTDIR)/.
-	mkdir $(DESTDIR)/doc
-	mkdir $(DESTDIR)/doc/wdoc
-	cp doc/*.htm $(DESTDIR)/doc/.
-	cp doc/wdoc/*.txt $(DESTDIR)/doc/wdoc/.
-	for i in de en fr it nl sv; do \
-	  mkdir $(DESTDIR)/doc/$$i; \
-	  mkdir $(DESTDIR)/doc/wdoc/$$i; \
-	  cp doc/$$i/*.htm $(DESTDIR)/doc/$$i/.; \
-	  if test -d "doc/wdoc/$$i"; then cp doc/wdoc/$$i/*.txt $(DESTDIR)/doc/wdoc/$$i/.; fi; \
-	done
-	mkdir $(DESTDIR)/doc/images
-	cp doc/images/*.jpg doc/images/gwlogo.png $(DESTDIR)/doc/images/.
 	mkdir $(DESTDIR)/lang
 	cp hd/lang/*.txt $(DESTDIR)/lang/.
 	mkdir $(DESTDIR)/images
 	cp hd/images/*.jpg hd/images/*.png hd/images/*.ico $(DESTDIR)/images/.
 	mkdir $(DESTDIR)/etc
 	cp hd/etc/*.txt $(DESTDIR)/etc/.
-	mkdir $(DESTDIR)/css
-	cp hd/css/*.css $(DESTDIR)/css/.
+	mkdir -p $(DESTDIR)/etc/templa
+	mkdir -p $(DESTDIR)/etc/templb
+	mkdir -p $(DESTDIR)/etc/templc
+	mkdir -p $(DESTDIR)/etc/templd
+	mkdir -p $(DESTDIR)/etc/templf
+	mkdir -p $(DESTDIR)/etc/templh
+	mkdir -p $(DESTDIR)/etc/templm
+	mkdir -p $(DESTDIR)/etc/templm/my_base
+	cp hd/etc/templa/*.txt $(DESTDIR)/etc/templa/.
+	cp hd/etc/templb/*.txt $(DESTDIR)/etc/templb/.
+	cp hd/etc/templc/*.txt $(DESTDIR)/etc/templc/.
+	cp hd/etc/templd/*.txt $(DESTDIR)/etc/templd/.
+	cp hd/etc/templf/*.txt $(DESTDIR)/etc/templf/.
+	cp hd/etc/templh/*.txt $(DESTDIR)/etc/templh/.
+	cp hd/etc/templm/*.txt $(DESTDIR)/etc/templm/.
+	cp hd/etc/templm/my_base/*.txt $(DESTDIR)/etc/templm/my_base/.
 
 windows_files:
 	@for i in distribution/*.txt distribution/gw/*.txt; do \
@@ -180,7 +183,6 @@
 	cd src; $(MAKE) clean
 	cd ged2gwb; $(MAKE) clean
 	cd gwb2ged; $(MAKE) clean
-	cd doc; $(MAKE) clean
 	cd setup; $(MAKE) clean
 	cd gwtp; $(MAKE) clean
 	$(RM) -rf $(DESTDIR)

=== debian/changelog ===
geneweb (6.03-1) unstable; urgency=low

  * New upstream version. Closes: #651874
  * Change default for running gwsetup at boot
    Closes: #500165

 -- Christian Perrier <bubulle@debian.org>  Sun, 18 Dec 2011 20:22:30 +0100
